Subject: Ticket Assigned - RE: ﻿ Sorry, we had to cancel your order.
From: Max <[email-masked]>
To: [email-masked]
Date: Thu, 04 Feb 2021 10:22:17 +0000

Hi Manish Kumar,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  RE: 	Sorry, we had to cancel your order.  I need to understand why my order was canceled.
And please note that I needed this blouse for an upcoming formal presentation in my university and now I don not know what to do.

Sent from Mail for Windows 10

From: Max Fashion
Sent: Thursday, February 4, 2021 9:13 AM
To: mariam hany
Subject:  Sorry, we had to cancel your order.

Order 2000922303. 

Download our apps now

iPhone
Android

Women Men Girls Boys Shoes Inspiration 

Sorry, we had to cancel your order. 

Hi mariam hany, unfortunately we couldn’t complete your order 2000922303. Please accept our apologies and reach out to us if you have any further questions. 

Order Details 

Item
Description
Total Price

MAX 
Ruffle Detail Top with High Neck and Long Sleeves 
Color: Cream
Size: 8 
Quantity: 1

EGP 210 

 
Subtotal: 
EGP 210 

Standard ground shipping: 
EGP 20 

COD Charges: 
EGP 20 

Total 
EGP 205.9 

The Shukrans you’ve earned on this order will be reversed. 

Need help? Get in touch

Write us an email now, we'll get back to you as fast as we can.

Connect with us on your favourite social network.

Reach out in 140 characters! We are @maxfashionMENA.

Call us on 0020-225878188. 
7 days a week, 24 hours a day

© 2021 Retail World Limited 

Privacy Policy  | Terms & Conditions 

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2055247